halapi hierarchichalalignmentformatapi

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions
hal::TopSegmentType< RawH5ExternalArray > Struct Reference

`#include <hdf5TopSegmentType.h>`

List of all members.

## Public Types
typedef ArrayTraits < RawH5ExternalArray > ::size_type | size_type
typedef ArrayTraits < RawH5ExternalArray > ::index_type | index_type
typedef ArrayTraits < RawH5ExternalArray > ::bool_type | bool_type
typedef ArrayTraits < RawH5ExternalArray > ::h5index_type | h5index_type
typedef ArrayTraits < RawH5ExternalArray > ::h5bool_type | h5bool_type
## Static Public Member Functions
static H5::CompType | getTypeInfo (H5::hbool_t isRoot)
static size_type | getGenomeIndexOffset ()
static size_type | getLengthOffset ()
static size_type | getBottomIndexOffset ()
static size_type | getBottomOffsetOffset ()
static size_type | getParentIndexOffset (size_type i)
static size_type | getParentInverseOffset (size_type i)

## Detailed Description

Specialization of Top Segment type for HDF5 external array.

## Member Function Documentation

H5::CompType hal::TopSegmentType< RawH5ExternalArray >::getTypeInfo | ( | H5::hbool_t | isRoot | ) | `[inline, static]`

Return object with information for arrays containing top segments

The documentation for this struct was generated from the following files:

- hdf5_impl/hdf5TopSegmentType.h
- hdf5_impl/hdf5BottomSegmentType.h

All Classes Namespaces Functions Variables Typedefs Friends